
# Fedora review:  http://bugzilla.redhat.com/195486

## Conditional build:
# disabled, for now, doesn't build -- Rex
#define _enable_jingle --enable-jingle
%define _enable_sametime_plugin --enable-sametime-plugin
%define _enable_slp --enable-slp
%define _with_xmms --with_xmms
%ifnarch s390 s390x
%define _with_wifi --with-wifi
%endif

Summary: K Desktop Environment - Network Applications
Name: 	 kdenetwork
Group:	 Applications/Internet
Epoch:	 7
Version: 3.5.6
Release: 2%{?dist}

License: GPL
URL:	 http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: kppp.pamd
Source2: ktalk
Source4: lisarc
Source5: lisa.redhat

Patch1: kdenetwork-3.1-desktop.patch
#Patch2: kdenetwork-3.1-buildroot.patch
#Patch3: kdenetwork-3.3.92-kppp.patch
Patch4: kdenetwork-3.2.3-resolv.patch

Patch136566: kdenetwork-3.5.5-kde#136566-1.patch

# http://www.kde.org/info/security/advisory-20070109-1.txt
Patch20070129: ftp://ftp.kde.org/pub/kde/security_patches/post-3.5.5-kdenetwork-ksirc.diff 

%define is_release 1

Requires(preun):  chkconfig
Requires(post):   /sbin/ldconfig chkconfig
Requires(postun): /sbin/ldconfig

# krdc rdesktop support -- Rex
Requires(hint): rdesktop > 1.3.1-5

BuildRequires: gettext
BuildRequires: kdelibs-devel >= 6:%{version}
BuildRequires: openssl-devel
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
BuildRequires: libXmu-devel libXScrnSaver-devel libXtst-devel libXxf86vm-devel
%endif
%if "%{?_with_wifi:1}" == "1"
%if 0%{?fedora} > 5 || 0%{?rhel} > 4
BuildRequires: wireless-tools-devel
%else
BuildRequires: wireless-tools
%endif
%endif
%{?_enable_slp:BuildRequires: openslp-devel}
## kopete: 
BuildRequires: libxml2-devel libxslt-devel
%ifarch %{ix86}
# BR: %{_includedir}/valgrind/valgrind.h
BuildRequires: valgrind
%endif
#jabber 
BuildRequires: libidn-devel
#jabber/jingle
%{?_enable_jingle:BuildRequires: expat-devel glib2-devel ortp-devel speex-devel}
# jabber/ssl
Requires(hint): qca-tls
%{?_enable_sametime_plugin:BuildRequires: meanwhile-devel}

Requires: kdelibs >= 6:%{version}

%define kopete_ver 0:0.12.3
Obsoletes: kopete < %{kopete_ver}
Provides:  kopete = %{kopete_ver}

%if "%{is_release}" != "1"
BuildRequires: automake libtool
%endif


%description
Networking applications, including:
* kdict: graphical client for the DICT protocol.
* kget: downloader manager. 
* kio_lan: lan browsing kio slave.
* knewsticker: RDF newsticker applet
* kopete: chat client (requires qca-tls for optional jabber/ssl support)
* kpf: public fileserver applet
* kppp: dialer and front end for pppd
* krdc: a client for Desktop Sharing and other VNC servers (requires rdesktop)
* krfb: Desktop Sharing server, allow others to access your desktop via VNC
* ksirc: IRC client
* ktalkd: talk daemon
* lisa: lan information server

%package devel
Summary: Development files for %{name} 
Group: Development/Libraries
Requires: kdelibs-devel 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
%{summary}.

%if "%{?_with_xmms:1}" == "1"
%package nowlistening
Summary: Xmms plugin for Kopete
Group:	 Applications/Multimedia
BuildRequires: xmms-devel
Requires: %{name} = %{epoch}:%{version}-%{release}
%description nowlistening
%{summary}.
%else
BuildConflicts: xmms-devel
%endif


%prep
%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}
%else
%setup -q -n %{name}
%endif

%patch1 -p1 -b .dt
# harmless, not needed -- Rex
#patch2 -p1 -b .buildroot
# not sure why rh uses this?  -- Rex
#patch3 -p1 -b .kppp
%patch4 -p1 -b .ppp

%if "%{version}" < "3.5.6"
%patch136566 -p1 -b .kde#136566
%patch20070129 -p0 -b .20070129-1
%endif

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  %{?_enable_jingle} %{!?_enable_jingle:--disable-jingle} \
  %{?_enable_sametime_plugin} %{!?_enable_sametime_plugin:--disable-sametime-plugin} \
  %{?_enable_slp} %{!?_enable_slp:--disable-slp} \
  %{?_with_wifi} %{!?_with_wifi:--without-wifi}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%if "%{?redhatify}" == "1"
# Run kppp through consolehelper

install -p -m644 -D %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/kppp
## fixup pam.d entries for possibly missing pam modules
## (timestamp < rh73, selinux < fc2)
pushd $RPM_BUILD_ROOT/etc/pam.d
for pam_svc in * ; do
  for pam_mod in pam_timestamp.so pam_selinux.so ; do
    if [ ! -x %{_lib}/security/${pam_mod} ]; then
      grep -v $pam_mod $pam_svc > ${pam_cvs}.new && mv ${pam_cvs}.new $pam_svc
    fi
  done
done
popd

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/kppp $RPM_BUILD_ROOT%{_sbindir}/
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/kppp
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat >$RPM_BUILD_ROOT/etc/security/console.apps/kppp <<EOF
USER=root
PROGRAM=%{_sbindir}/kppp
SESSION=true
EOF
%endif

# ktalk
install -p -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/ktalk

# Add lisa init script
install -p -D -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/lisarc
install -p -D -m755 %{SOURCE5} $RPM_BUILD_ROOT%{_initrddir}/lisa

## File lists
# locale's
#find_lang %{name} 
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done
fi

# rpmdocs
for dir in k* kfile-plugins/torrent krfb/libvncserver lanbrowsing/kio_lan lanbrowsing/lisa wifi/pixmaps ; do
  for file in AUTHORS ChangeLog README TODO ; do
    test -s  "$dir/$file" && install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
  done
done


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :
/sbin/chkconfig --add lisa ||:

%preun
if [ $1 -eq 0 ]; then
  /sbin/chkconfig --del lisa ||:
  /sbin/service lisa stop > /dev/null 2>&1 ||:
fi

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%doc rpmdocs/*
%if "%{?redhatify}" == "1"
%config /etc/security/console.apps/kppp
%config /etc/pam.d/kppp
%{_sbindir}/kppp
%else
%attr(4755,root,root) %{_bindir}/kppp
%endif
%config %{_sysconfdir}/lisarc
%{_initrddir}/lisa
%config %{_sysconfdir}/xinetd.d/ktalk
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/apps/*
%config %{_datadir}/config*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/service*/*
%{_datadir}/sounds/*
%{_libdir}/kde3/*
%{_libdir}/kconf_update_bin/*
%{_libdir}/libkdeinit_*.so
%if "%{?_with_wifi:1}" == "1"
%{_libdir}/libkwireless.so
%endif
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la
%if "%{?_with_xmms:1}" == "1"
%exclude %{_datadir}/apps/kopete/*nowlisteningchatui*
%exclude %{_datadir}/apps/kopete/*nowlisteningui*
%exclude %{_datadir}/services/kconfiguredialog/*nowlistening*
%exclude %{_datadir}/services/*nowlistening*
%exclude %{_libdir}/kde3/*nowlistening*

%files nowlistening
%defattr(-,root,root,-)
%{_datadir}/apps/kopete/*nowlisteningchatui*
%{_datadir}/apps/kopete/*nowlisteningui*
%{_datadir}/services/kconfiguredialog/*nowlistening*
%{_datadir}/services/*nowlistening*
%{_libdir}/kde3/*nowlistening*
%endif

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%{_libdir}/lib*.so
%exclude %{_libdir}/libkdeinit_*
%if "%{?_with_wifi:1}" == "1"
%exclude %{_libdir}/libkwireless.so
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Mar 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-2
- BR: libXScrnSaver
- --enable-jingle, BR: expat-devel glib2-devel ortp-devel speex-devel
  (not enabled, currently doesn't build)
- drop .la file hackery

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-1
- kde-3.5.6

* Tue Jan 09 2007 Rex Dieter <rdieter[AT]fedoraproject> 7:3.5.5-5
- ksirc DOS (http://www.kde.org/info/security/advisory-20070109-1.txt)

* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-4
- BR: meanwhile-devel 

* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-3
- respin ICQ patch (kde#136566c#37)

* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-2
- ICQ patch (kde#136566, rh#213341)

* Wed Oct 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-1
- 3.5.5

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> 7:3.5.4-3
- Update BR to use the now split-out wireless-tools-devel package

* Tue Aug 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-3
- BR: gettext
- don't --enable-sametime-plugin, libmeanwhile0 is not (yet) available.
- drop legacy (rh7) bit(s).

* Mon Jul 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-2
- kopete patch "can't connect to IRC" (kde bug #131598)

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-1
- kde-3.5.4

* Tue Jun 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-3
- /lib/security -> %%{_lib}/security (though it's not really used atm)
- comment out unused patches (2,3)

* Fri Jun 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-2 
- --enable-sametime-plugin, BR: libmeanwhile0-devel
- --enable-slp, BR: openslp-devel
- --with-xmms, BR: xmms-devel
- BR: libxml2 libxslt
- %%doc: AUTHORS COPYING README, app docs (README, TODO, etc...)
- update %%description
- follow icon spec
- don't use usermode(gtk) for kppp (allows users to have separate profiles)
- Requires(hint): rdesktop (krdc)
- Obsoletes/Provides: kopete
- Requires(hint): qca-tls (jabber/tls support for kopete) 

* Mon Jun 05 2006 Than Ngo <than@redhat.com> 7:3.5.3-1
- update to 3.5.3

* Tue May 16 2006 Than Ngo <than@redhat.com> 7:3.5.2-2 
- rebuilt againts new qt to fix multilib problem

* Thu Apr 06 2006 Than Ngo <than@redhat.com> 7:3.5.2-0.1.fc5
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 7:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 05 2006 Than Ngo <than@redhat.com> 7:3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Than Ngo <than@redhat.com> 7:3.5.0-1
- 3.5

* Wed Nov 09 2005 Than Ngo <than@redhat.com> 7:3.4.92-3 
- get rid of XFree86-devel requires
- fix gcc4 compilation

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 7:3.4.92-2
- rebuilt against new openssl

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 7:3.4.92-1
- update to 3.5 Beta 2

* Mon Oct 10 2005 Than Ngo <than@redhat.com> 7:3.4.91-1
- update to 3.5 Beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 7:3.4.2-3
- fix uic build problem

* Wed Aug 17 2005 Than Ngo <than@redhat.com> 7:3.4.2-2
- apply patch to fix crash when trying to add AIM contacts
  while disconnected

* Thu Aug 11 2005 Than Ngo <than@redhat.com> 7:3.4.2-1
- update to 3.4.2

* Fri Jul 22 2005 Than Ngo <than@redhat.com> 7:3.4.1-2
- fix crash in kopete on x86_64
- apply patch to fix libgadu vulnerabilities #163811, CVE CAN-2005-1852
  thank to kde security team

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 7:3.4.1-1
- 3.4.1

* Tue Apr 05 2005 Than Ngo <than@redhat.com> 7:3.4.0-3
- xmms is removed in fc4, rebuild without xmms support

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 7:3.4.0-2
- 3_4_BRANCH CVS fixes

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 7:3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Sun Feb 27 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Mon Feb 21 2005 Than Ngo <than@redhat.com> 7:3.3.92-0.1
- KDE-3.4 beta2

* Mon Jan 24 2005 Than Ngo <than@redhat.com> 7:3.3.2-0.3
- rebuilt against new wireless tools

* Tue Dec 07 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.2
- add missing return statement, bug #142097
- remove kdenetwork-3.3.0-kget.patch, it's included in 3.3.2
- add CVS patch to fix memory leak

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.1
- update to 3.3.2
- remove kdenetwork-3.3.1-kppp-cb.patch, it's included in 3.3.2

* Mon Nov 15 2004 Than Ngo <than@redhat.com> 7:3.3.1-3
- increased length of callback number

* Fri Oct 15 2004 Than Ngo <than@redhat.com> 7:3.3.1-2
- fix desktop files

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 7:3.3.1-1
- update to 3.3.1

* Wed Sep 29 2004 Than Ngo <than@redhat.com> 7:3.3.0-5
- get rid of CVS directories from file list #134065

* Fri Sep 24 2004 Than Ngo <than@redhat.com> 7:3.3.0-4
- fix crash in kget #133495

* Thu Sep 23 2004 Than Ngo <than@redhat.com> 7:3.3.0-3
- add OnlyShowIn=KDE

* Thu Sep 16 2004 Than Ngo <than@redhat.com> 3.3.0-2
- fix memmove warning in ksirc #132676

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Sat Aug 07 2004 Than Ngo <than@redhat.com> 7:3.2.92-1
- update to 3.3 Beta 2

* Thu Jul 01 2004 Than Ngo <than@redhat.com> 7:3.2.3-2 
- add buildRequire on wireless-tools, xmms-devel (bug #124712)
- add sub package nowlistening to get rid of xmms dependency (bug #115067)
- fix resolv.conf problem (bug #125601, #125442)

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 7:3.2.3-1
- update to 3.2.3 release

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 7:3.2.2-1
- 3.2.2 release

* Fri Apr 02 2004 Than Ngo <than@redhat.com> 7:3.2.1-5.1
- fix missing soname, bug #119739 

* Thu Apr 01 2004 Than Ngo <than@redhat.com> 3.2.1-5
- fix kget issue, bug #117395

* Mon Mar 29 2004 Than Ngo <than@redhat.com> 3.2.1-4
- cleanup KDE/GNOME menus

* Fri Mar 19 2004 Karsten Hopp <karsten@redhat.de> 3.2.1-3 
- move Obsoletes: kmail to kdepim package.

* Sun Mar 14 2004 Karsten Hopp <karsten@redhat.de> 3.2.1-2 
- remove kmail virtual package, its in kdepim now

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 7:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 7:3.2.0-1.5
- gcc 3.4 build problem

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 7:3.2.0-1.4
- use _smp_mflags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Feb 07 2004 Than Ngo <than@redhat.com> 3.2.0-0.3 
- 3.2.0 release
- built against qt-3.3.0

* Wed Jan 28 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.2
- cleanup the code for 64bit machines

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 7:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.3
- get rid of rpath
- don't move desktop files, it's not needed in 3.2

* Tue Nov 25 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.2
- fixed link problem with ssl

* Mon Nov 10 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.1
- KDE 3.2 Beta1
- cleaned up rpm file list

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 7:3.1.4-1
- 3.1.4

* Thu Aug 14 2003 Than Ngo <than@redhat.com> 7:3.1.3-3
- add workaround for s390/s390x build problem

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 7:3.1.3-2
- rebuilt

* Tue Aug 05 2003 Than Ngo <than@redhat.com> 7:3.1.3-1
- 3.1.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Apr 30 2003 Than Ngo <than@redhat.com> 3.1.1-2
- build with -fpic on ppc (ld bugs)

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Fri Mar 7 2003 Dan Walsh <dwalsh@redhat.com> 3.1-8
- bump release number 

* Thu Mar  6 2003 Than Ngo <than@redhat.com> 3.1-7
- la file issue, bug #85727

* Wed Feb 26 2003 Dan Walsh <dwalsh@redhat.com> 3.1-6
- Fix service description

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-4
- get rid of gcc path from dependency_libs

* Fri Feb 14 2003 Than Ngo <than@redhat.com> 3.1-3
- add patch to start lisa daemon correct from initscript, #84257
- dependency issue, #81430

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of kotalkd, bug #82765
- lisa initscript, bug #82935

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove some unneeded macros
 
* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 7:3.1-0.10
- rebuild

* Sun Jan 12 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.9
- rc6
- exclude ia64

* Sun Dec 29 2002 Than Ngo <than@redhat.com> 3.1-0.8
- fix bug #80354

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 3.1-0.7
- rebuild

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.1-0.6
- fix rpm conflicts

* Tue Dec 10 2002 Than Ngo <than@redhat.com> 3.1-0.5
- fix to build on s390/s390x

* Mon Dec  9 2002 Than Ngo <than@redhat.com> 3.1-0.4
- fix bug #78650
- desktop file issues

* Sun Dec  8 2002 Than Ngo <than@redhat.com> 3.1-0.3
- Add lisa startup script (bug #72114)
- fix dependency issue

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- add obsoletes/provides sub packages

* Tue Nov 26 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- remove sub packages

* Tue Nov 12 2002 Than Ngo <than@redhat.com> 3.0.5-3
- respin

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 3.0.5-2
- remove directory names from the PAM configuration, allowing the same config
  file to be used for all arches on multilib systems

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Oct 12 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- kpf Directory traversal

* Sat Aug 24 2002 Than Ngo <than@redhat.com> 3.0.3-3
- move knode menu entries to Extras (bug #71881)

* Wed Aug 21 2002 Preston Brown <pbrown@redhat.com> 3.0.3-2
- buildrequirement on automake15, autoconf >= 2.53
- move kmail, kppp, kppplogview menu entries to Extras

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Mon Aug  5 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues
- Added more BuildRequires (bug #70056)
- Added support timestamp
- Added Node.desktop in correct package (bug #65087)
- Fixed dangling symlink (bug #63876)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Thu Jul 11 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix dangling symlink introduced by library renaming

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rename libraries
- Fix default kmail settings

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Merge fixes for 3 potential kmail crashes from KDE_3_0_BRANCH

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0 final

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Rename subpackages

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Rebuild with new kdelibs

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Update
- Integrate ktalk stuff with xinetd

* Tue Dec 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011218.1
- Update
- Split into subpackages

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Add build dependencies
- Work around ia64 breakages

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010513.1
- Update to CVS
- clean up specfile
- Use %%post -p and %%postun -p

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Limit CPU usage to 2 CPUs to make asok happy

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't require perl, not everyone using ksirc is also using
  ksirc perl scripting...

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (needed because of kdelibs change)
- Obsolete kdenetwork2 (from 7.0 preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing PAM file, fix group

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to HEAD 

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fix kmail segfault with empty identity)

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up consolehelper config

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current KDE_2_0_BRANCH (this should fix up knode)
- Run kppp through consolehelper (Bug #20021)
- Split of kppp and kppplog to a separate package, kdenetwork-ppp
  (RFE #20022)

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable keystone for now (compiler problem)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with glibc-2.1.92-14 and gcc-2.96-40

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete ktalk (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Mon Oct 25 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
